//AB/ Project Customer Grid Example View
//AB/ Object prj is a View_Project
  //AB/ Set Size to 230 423
  //AB/ Set ProjectName to "Customer Grid Example View"
  //AB/ Set ProjectFileName to "CustomerGrid.vw"
  //AB/ Set GenerateFileName to "NONAME"

// Project Object Structure
//   oCustomerGrid_vw is a dbView
//     Customer_DD is a DataDictionary
//     oCustomer_Grid is a dbGrid_Rearrange

// Register all objects
Register_Object Customer_DD
Register_Object oCustomer_Grid
Register_Object oCustomerGrid_vw


//AB-StoreTopStart
Use GlobalFunctionsProcedures.pkg

//AB-StoreTopEnd

//AB-IgnoreStart
Use dfClient.pkg
Use DataDict.pkg
Use Rearrangemx.pkg
//AB-IgnoreEnd

//AB-IgnoreStart
Use CUSTOMER.DD
//AB-IgnoreEnd


DEFERRED_VIEW Activate_oCustomerGrid_vw FOR ;
;
Object oCustomerGrid_vw is a dbView
  Set Border_Style to Border_Thick
  Set Location to 2 2
  Set Size to 200 344

  //AB-DDOStart

  Object Customer_DD is a Customer_DataDictionary
  End_Object    // Customer_DD

  Set Main_DD to Customer_DD
  Set Server to Customer_DD

  //AB-DDOEnd

  Object oCustomer_Grid is a dbGrid_Rearrange
    Set Main_File to Customer.File_Number
    Set Size to 161 319
    Set Location to 7 13
    Set Wrap_State to TRUE

    Begin_Row
      Entry_Item Customer.Customer_number
      Entry_Item Customer.Name
      Entry_Item Customer.City
      Entry_Item Customer.Phone_number
    End_Row

    Set Form_Width    item 0 to 45
    Set Header_Label  item 0 to "Number"
    
    Set Form_Width    item 1 to 91
    Set Header_Label  item 1 to "Customer Name"
    
    Set Form_Width    item 2 to 84
    Set Header_Label  item 2 to "City"
    
    Set Form_Width    item 3 to 90
    Set Header_Label  item 3 to "Phone"
    
  End_Object    // oCustomer_Grid


  //AB-StoreStart
  
  //AB-StoreEnd

CD_End_Object    // oCustomerGrid_vw


//AB-StoreStart

//AB-StoreEnd

//AB/ End_Object    // prj
